## org.cybergarage.upnp.ssdp
Class SSDPSearchResponse

    java.lang.Object
      org.cybergarage.http.HTTPPacket
          org.cybergarage.http.HTTPResponse
              org.cybergarage.upnp.ssdp.SSDPResponse
                  org.cybergarage.upnp.ssdp.SSDPSearchResponse

    public class SSDPSearchResponse

extends SSDPResponse

Constructor Summary
`SSDPSearchResponse()`

Method Summary

Methods inherited from class org.cybergarage.upnp.ssdp.SSDPResponse
`getHeader, getLeaseTime, getLocation, getMYNAME, getST, getUSN, setLeaseTime, setLocation, setMYNAME, setST, setUSN`

Methods inherited from class org.cybergarage.http.HTTPResponse
`getStatusCode, getStatusLineString, isSuccessful, print, setStatusCode, toString`

Methods inherited from class org.cybergarage.http.HTTPPacket

`addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSDPSearchResponse

    public SSDPSearchResponse()